Client
Edit client integration
POST
/
integrations
/
{name}
Edit client integration
curl --request POST \
--url https://api.helpyousponsor.com/v1/integrations/{name} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"api": "<string>",
"client_id": "<string>",
"email": "<string>",
"from_address": "<string>",
"from_name": "<string>",
"host": "<string>",
"id": 123,
"mailchimp_api": "<string>",
"name": "<string>",
"organization": "<string>",
"password": "<string>",
"privateKey": "<string>",
"publicKey": "<string>",
"username": "<string>",
"website": "<string>"
}
'import requests
url = "https://api.helpyousponsor.com/v1/integrations/{name}"
payload = {
"api": "<string>",
"client_id": "<string>",
"email": "<string>",
"from_address": "<string>",
"from_name": "<string>",
"host": "<string>",
"id": 123,
"mailchimp_api": "<string>",
"name": "<string>",
"organization": "<string>",
"password": "<string>",
"privateKey": "<string>",
"publicKey": "<string>",
"username": "<string>",
"website": "<string>"
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
api: '<string>',
client_id: '<string>',
email: '<string>',
from_address: '<string>',
from_name: '<string>',
host: '<string>',
id: 123,
mailchimp_api: '<string>',
name: '<string>',
organization: '<string>',
password: '<string>',
privateKey: '<string>',
publicKey: '<string>',
username: '<string>',
website: '<string>'
})
};
fetch('https://api.helpyousponsor.com/v1/integrations/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"error": "<string>"
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
The name of the integration to edit
Body
application/json
Integration details
Response
Successful operation
⌘I
Edit client integration

